#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 snap-core
version:              1.0.4.2
visibility:           public
id:                   snap-core-1.0.4.2-COOjZ07jAfRAwBWv6ewZu
key:                  snap-core-1.0.4.2-COOjZ07jAfRAwBWv6ewZu
license:              BSD-3-Clause
maintainer:           snap@snapframework.com
author:               Snap Framework Authors (see CONTRIBUTORS)
homepage:             http://snapframework.com/
synopsis:             Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.

    This library contains the core definitions and types for the Snap framework,
    including:

    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)

    2. A monad for programming web handlers called \"Snap\", which allows:

    * Stateful access to the HTTP request and response objects

    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together

    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing

    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".

category:             Web, Snap, IO-Streams
abi:                  c322a61c904cf83899c09dde6a635f47
exposed:              True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing Snap.Test
    Snap.Types.Headers Snap.Util.CORS Snap.Util.FileServe
    Snap.Util.FileUploads Snap.Util.GZip Snap.Util.Proxy

hidden-modules:
    Snap.Internal.Instances Snap.Internal.Routing
    Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
    Snap.Internal.Util.FileServe Snap.Internal.Util.FileUploads

import-dirs:          /usr/lib/ghc-9.0.2/site-local/snap-core-1.0.4.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/snap-core-1.0.4.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/snap-core-1.0.4.2
hs-libraries:         HSsnap-core-1.0.4.2-COOjZ07jAfRAwBWv6ewZu
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    attoparsec-0.14.2-LyVMFpgdKldIJdmhU3guTs base-4.15.1.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-7ypvo8hNlNXGlHgmdwHzex containers-0.6.4.1
    directory-1.3.6.2 filepath-1.4.2.1
    hashable-1.3.4.1-EP0Gd73UMcO4S1jbgGNqGg
    io-streams-1.5.2.1-BFkJKGLbeuYDuG5i7whY9B
    lifted-base-0.2.3.12-6sLN7TqSIf4CCCCa8auOVf
    monad-control-1.0.3.1-3y1oVu7zLid9A3Ah682FaI mtl-2.2.2
    network-3.1.2.5-CgweoVugCP9KZ54KWGqC5u
    network-uri-2.6.4.1-9UYBcu0rkna53gaPwNGacE
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh
    random-1.2.1-BmPUA63cDBABKsvl0X1Bjz
    readable-0.3.1-8qk55zLnPf8IWPnnTbUyya
    regex-posix-0.96.0.1-3tnfXrSqQrb7MJMFtuTwG8 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-19l9WebKdSlIP3jlpBPlDy
    unix-compat-0.5.4-FTzJDG4psNuKZpJlJ2Zo5B
    unordered-containers-0.2.15.0-HIJyWoeynWgK8pqlQmZFlL
    vector-0.12.3.1-3x1pAdfup7PE3zWKaw1ikC

haddock-interfaces:   /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html:         /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

